/*basic styles need to move them sometimes...*/
.messages a{
  text-decoration: underline;
}
  /*basic styles*/
.layout-no-sidebars #main,
.layout-main #main{
  width: auto;
  margin:0 auto;
  padding:20px;
}
.layout-main{
  display: block;
  margin-top: 20px;
  margin-bottom: 40px;
}

.layout-container {
  box-sizing: border-box;
  max-width: 860px;
  margin-right: auto;
  margin-left: auto;
}

@media all and (min-width: 851px) {
  .layout-container {
    max-width: 1290px;
  }
}

.layout-main-wrapper {
  min-height: 300px;
}

#main{
  width: auto;
}

#main #content{
  margin: 0 auto;
  width: 100%;
}

/* Extra small devices (portrait phones, less than 576px) */
@media (max-width: 576px) {
}

/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {  }

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
  .layout-main{
    display: flex;
  }
  #main .content{
    /*width: calc(100% - 250px);*/
  }
  #sidebar-first{
    min-width: 250px;
  }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
  /* full width with sidebar*/
  #main-wrapper {
    max-width: 1200px;
    margin: 20px auto;
  }
  /* full width without sidebar */
  .layout-no-sidebars #main {
    max-width:900px;
  }

}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {  }



/**
  use as template:
*/

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {}

/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {}

/* Extra small devices (portrait phones, less than 576px) */
@media (max-width: 576px) {}



